repmgr standby unregister

# repmgr standby unregister

remove a standby's information from the &repmgr; metadata

## Description

Unregisters a standby with &repmgr;. This command does not affect the actual replication, just removes the standby's entry from the &repmgr; metadata.

## Execution

To unregister a running standby, execute:

            repmgr standby unregister -f /etc/repmgr.conf

This will remove the standby record from &repmgr;'s internal metadata table (`repmgr.nodes`). A `standby_unregister` event notification will be recorded in the `repmgr.events` table.

If the standby is not running, the command can be executed on another node by providing the id of the node to be unregistered using the command line parameter `--node-id`, e.g. executing the following command on the primary server will unregister the standby with id `3`:

            repmgr standby unregister -f /etc/repmgr.conf --node-id=3

## Options

`--node-id`

  `node_id` of the node to unregister (optional)

## Event notifications

A `standby_unregister` event notification will be generated.